=== makedic/Makefile ===

# this is the make file for the "makedic" subdir, that really
# makes "makeedict" now.

all:	makeedict makedic

makeedict:	makeedict.c
	gcc -o $@ makeedict.c

#This old version is just kept here for posterity's sake
#It's doubtful you will want to make a new kanjidic entry.
#but if you do, it's here
makedic:	makedic.c
	gcc -o $@ makedic.c

DICTS=hira.edic hiraplus.edic kata.edic kataplus.edic doubled.edic

%.edic:	infile.%
	./makeedict $@ < $<

dictionaries:	makeedict $(DICTS)

doubled.edic:	hiraplus

clean:
	rm makeedict makedic

fullkatahira.edic:	hiraplus.edic kataplus.edic
	cat hiraplus.edic kataplus.edic >fullkatahira.edic
	

#This is still missing combos, like "shi-ya". but oh well.
