## kdrill 5.11.7

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # $XConsortium: imake.c,v 1.89 94/08/12 00:45:51 gildea Exp $
 
 # -----------------------------------------------------------------------
-# Makefile generated from "Imake.tmpl" and </tmp/IIf.0Mkg_a>
+# Makefile generated from "Imake.tmpl" and </tmp/IIf.vPaGBf>
 # $XConsortium: Imake.tmpl,v 1.219 94/05/13 15:58:31 matt Exp $
 # $SunSoft: @(#)Imake.tmpl	1.1 01/13/97 16:16:22 $
 #
@@ -51,9 +51,9 @@
 # platform-specific configuration parameters - edit sun.cf to change
 
 # platform:  $XConsortium: sun.cf,v 1.133 94/07/08 12:23:12 gildea Exp $
-# platform:  $SunSoft: @(#)sun.cf	1.1 01/13/97 16:16:27 $
-
-# operating system:  SunOS 5.6
+# platform:  $SunSoft: @(#)sun.cf	1.5 08/25/99 12:27:05 $
+
+# operating system:  SunOS 5.8 x86
 
 # SUNSOFT SUNSOFT_LOADABLE
 
@@ -64,6 +64,8 @@
 # $SunSoft: @(#)sv4Lib.rules	1.1 01/13/97 16:16:28 $
 
 # SUNSOFT SUNSOFT_LOADABLE
+
+	TROFFTOPS = /usr/lib/lp/postscript/dpost | /usr/lib/lp/postscript/postreverse -r
 
 # -----------------------------------------------------------------------
 # site-specific configuration parameters that go after
@@ -110,6 +112,19 @@
   BOOTSTRAPCFLAGS = -DSVR4
                CC = gcc -fpcc-struct-return
                AS = /usr/ccs/bin/as
+
+.SUFFIXES: .cxx
+
+              CXX = g++
+    CXXDEBUGFLAGS = -O2
+ CXXEXTRA_DEFINES =
+CXXEXTRA_INCLUDES =
+  CXXIDL_INCLUDES = -I$(TOP)/include
+   CXXSTD_DEFINES = -Dsun -Di386 -DSVR4 -DSYSV
+       CXXOPTIONS =
+      CXXINCLUDES = $(INCLUDES) $(TOP_INCLUDES) $(CXXEXTRA_INCLUDES) $(CXXIDL_INCLUDES)
+       CXXDEFINES = $(CXXINCLUDES) $(CXXSTD_DEFINES) $(THREADS_CXXDEFINES) $(CXXEXTRA_DEFINES)
+         CXXFLAGS = $(CXXDEBUGFLAGS) $(CXXOPTIONS) $(THREADS_CXXFLAGS) $(CXXDEFINES)
 
          COMPRESS = compress
               CPP = /usr/ccs/lib/cpp $(STD_CPP_DEFINES)
@@ -133,7 +148,7 @@
         MANSUFFIX = 1
      LIBMANSUFFIX = 3
     FILEMANSUFFIX = 4
-            TROFF = psroff
+            TROFF = troff -t -Tpost
          MSMACROS = -ms
               TBL = tbl
               EQN = eqn
@@ -142,8 +157,8 @@
             LATEX = latex
 
      STD_INCLUDES =
-  STD_CPP_DEFINES = -Dsun -Dsparc -DSVR4 -DSYSV
-      STD_DEFINES = -Dsun -Dsparc -DSVR4 -DSYSV
+  STD_CPP_DEFINES = -Dsun -Di386 -DSVR4 -DSYSV
+      STD_DEFINES = -Dsun -Di386 -DSVR4 -DSYSV
  EXTRA_LOAD_FLAGS =
   EXTRA_LDOPTIONS =
   EXTRA_LIBRARIES = -lsocket -lnsl
@@ -156,7 +171,7 @@
 
          PICFLAGS = -Kpic
 
-      CXXPICFLAGS = -K PIC
+      CXXPICFLAGS = -fpic
 
     PROTO_DEFINES =
 
@@ -213,7 +228,7 @@
 # -----------------------------------------------------------------------
 # X Window System Build Parameters and Rules
 # $XConsortium: Project.tmpl,v 1.242 94/04/13 14:58:40 rws Exp $
-# $SunSoft: @(#)Project.tmpl	1.3 04/21/97 16:46:25 $
+# $SunSoft: @(#)Project.tmpl	1.4 12/15/98 10:56:11 $
 
 # SUNSOFT SUNSOFT_LOADABLE
 
@@ -383,32 +398,3 @@
        TOOLKITSRC = $(LIBSRC)/Xt
 
 SOXTREV = 4
-DEPXTOOLONLYLIB =
-XTOOLONLYLIB =  -lXt
-
-LINTXTOOLONLY = $(LINTLIBDIR)/llib-lXt.ln
-
-      DEPXTOOLLIB = $(DEPXTOOLONLYLIB) $(DEPSMLIB) $(DEPICELIB)
-         XTOOLLIB = $(XTOOLONLYLIB) $(SMLIB) $(ICELIB)
-     LINTXTOOLLIB = $(LINTXTOOLONLYLIB)
-
-       AWIDGETSRC = $(LIBSRC)/Xaw
-
-SOXAWREV = 5
-DEPXAWLIB =
-XAWLIB =  -lXaw
-
-LINTXAW = $(LINTLIBDIR)/llib-lXaw.ln
-
-       XTFSRC = $(TOP)/workInProgress/Xtf
-
-SOXTFREV = 0.7
-DEPXTFLIB =
-XTFLIB =  -lXtf
-
-LINTXTF = $(LINTLIBDIR)/llib-lXtf.ln
-
-       FRESCOSRC = $(TOP)/workInProgress/Fresco
-
-SOFRESCOREV = 0.7
-DEPFRESCOLIB =
