## kdrill 6.3.1

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # $XConsortium: imake.c,v 1.89 94/08/12 00:45:51 gildea Exp $
 
 # -----------------------------------------------------------------------
-# Makefile generated from "Imake.tmpl" and </tmp/IIf.vPaGBf>
+# Makefile generated from "Imake.tmpl" and </tmp/IIf.hXaatr>
 # $XConsortium: Imake.tmpl,v 1.219 94/05/13 15:58:31 matt Exp $
 # $SunSoft: @(#)Imake.tmpl	1.1 01/13/97 16:16:22 $
 #
@@ -51,9 +51,9 @@
 # platform-specific configuration parameters - edit sun.cf to change
 
 # platform:  $XConsortium: sun.cf,v 1.133 94/07/08 12:23:12 gildea Exp $
-# platform:  $SunSoft: @(#)sun.cf	1.5 08/25/99 12:27:05 $
-
-# operating system:  SunOS 5.8 x86
+# platform:  $SunSoft: @(#)sun.cf	1.11 05/04/01 13:49:33 $
+
+# operating system:  SunOS 5.9 x86
 
 # SUNSOFT SUNSOFT_LOADABLE
 
@@ -169,7 +169,7 @@
 
      SHLIBLDFLAGS = -G -z text -M mapfile
 
-         PICFLAGS = -Kpic
+         PICFLAGS = -fpic
 
       CXXPICFLAGS = -fpic
 
@@ -228,7 +228,7 @@
 # -----------------------------------------------------------------------
 # X Window System Build Parameters and Rules
 # $XConsortium: Project.tmpl,v 1.242 94/04/13 14:58:40 rws Exp $
-# $SunSoft: @(#)Project.tmpl	1.4 12/15/98 10:56:11 $
+# $SunSoft: @(#)Project.tmpl	1.6 05/30/02 19:12:02 $
 
 # SUNSOFT SUNSOFT_LOADABLE
 
@@ -282,7 +282,7 @@
    TRANS_INCLUDES = -I$(TRANSCOMMSRC)
 
 # $XConsortium: sunLib.tmpl,v 1.37 95/05/23 14:31:40 matt Exp $
-# $SunSoft: @(#)sunLib.tmpl	1.2 02/06/97 16:06:36 $
+# SunSoft: @(#)sunLib.tmpl	1.4 05/30/02 17:00:20
 
 # $XConsortium: sv4Lib.tmpl,v 1.19 93/12/03 10:48:36 kaleb Exp $
 # $SunSoft: @(#)sv4Lib.tmpl	1.1 01/13/97 16:16:29 $
@@ -297,7 +297,7 @@
 	SERVERETC = /usr/openwin/server/etc
 
 SHLIBLDFLAGS = -G -z text -M mapfile
-PICFLAGS = -Kpic
+PICFLAGS = -fpic
 MAPFILE = mapfile
 
           XLIBSRC = $(LIBSRC)/X11
