=== makedic/Makefile ===
--- 
+++ 
@@ -13,20 +13,28 @@
 makedic:	makedic.c
 	gcc -o $@ makedic.c
 
-DICTS=hira.edic hiraplus.edic kata.edic kataplus.edic doubled.edic
+DICTS=hira.edic hiraplus.edic kata.edic kataplus.edic fullkatahira.edic
+
+KDICS=hira.kdic hiraplus.kdic kata.kdic kataplus.kdic fullkatahira.kdic
 
 %.edic:	infile.%
 	./makeedict $@ < $<
 
-dictionaries:	makeedict $(DICTS)
+%.kdic:	infile.%
+	./makedic $@ < $<
 
-doubled.edic:	hiraplus
+dictionaries:	makeedict makedic $(DICTS)
+
+kdics:	$(KDICS)
 
 clean:
 	rm makeedict makedic
 
 fullkatahira.edic:	hiraplus.edic kataplus.edic
 	cat hiraplus.edic kataplus.edic >fullkatahira.edic
+
+fullkatahira.kdic:	hiraplus.kdic kataplus.kdic
+	cat hiraplus.kdic kataplus.kdic >fullkatahira.kdic
 	
 
 #This is still missing combos, like "shi-ya". but oh well.
