## kdrill 6.5deb2

=== debian/changelog ===
kdrill (6.5deb2-9) unstable; urgency=low

  * Use romanization DU for ヅ and du for づ to avoid showing two entries
    for ZU and zu (closes: #684801).

 -- Євгеній Мещеряков <eugen@debian.org>  Tue, 14 Aug 2012 21:52:12 +0200

kdrill (6.5deb2-8) unstable; urgency=low

  * Fix buffer overflow. Thanks to Chow Loong Jin (Closes: #669359).
  * Standards-Version 3.9.3 — no changes needed

 -- Євгеній Мещеряков <eugen@debian.org>  Thu, 19 Apr 2012 22:20:58 +0200

kdrill (6.5deb2-7) unstable; urgency=low

  * Change sections of source, kdrill, and kanadic to 'education'

 -- Євгеній Мещеряков <eugen@debian.org>  Sun, 04 Dec 2011 17:31:15 +0100

kdrill (6.5deb2-6) unstable; urgency=low

  * Add trailing semicolons in *.desktop files for Categories. Fixes KDE
    warnings.

 -- Євгеній Мещеряков <eugen@debian.org>  Wed, 30 Nov 2011 17:11:49 +0100

kdrill (6.5deb2-5) unstable; urgency=low

  * New patch:
    - increase-maxmulti.diff — increase maximum number of kanji search results
      to 1000 (from 200, closes: #645650).

 -- Євгеній Мещеряков <eugen@debian.org>  Wed, 19 Oct 2011 11:55:13 +0200

kdrill (6.5deb2-4) unstable; urgency=low

  * Rewrite package descriptions (thanks to Martin Eberhard Schauer and
    Justin B Rye, closes: #640326).

 -- Євгеній Мещеряков <eugen@debian.org>  Sun, 04 Sep 2011 17:23:08 +0200

kdrill (6.5deb2-3) unstable; urgency=low

  * Fix buffer overflow with edict files with more than 163840 entries
    (closes: #632386)
  * Remove articles and capitalization at the beginnings of short decriptions
  * Fix lintian overrides file
  * Standards-Version 3.9.2 — no changes required
  * Add build-arch and build-indep targets
  * Extend allowed number of edict entries (by 0x10000)

 -- Євгеній Мещеряков <eugen@debian.org>  Sun, 03 Jul 2011 19:29:13 +0200

kdrill (6.5deb2-2) unstable; urgency=low

  * Install everything under debian/tmp first to avoid FTBFS when building
    only arch packages
  * Add Vcs-* fields in debian/control

 -- Євгеній Мещеряков <eugen@debian.org>  Mon, 19 Apr 2010 21:19:29 +0200

kdrill (6.5deb2-1) unstable; urgency=low

  * Repackage orig tarball in order to not use tarball-in-tarball scheme
  * Switch to source format 3.0 (quilt)
  * Do not use dbs (closes: #576052)
  * Remove generated files from orig tarball
  * Use dh overrides in debian/rules
  * Standards-Version 3.8.4 — no changes needed

 -- Євгеній Мещеряков <eugen@debian.org>  Mon, 19 Apr 2010 16:24:50 +0200

kdrill (6.5dbs-4) unstable; urgency=low

  * New patches:
    - 11-timeout-miss - patch from Maurice Massar to count timeout as a miss
      (closes: #292305)
  * Add missing ${misc:Depends}
  * Standards-Version 3.8.3
    - add 'patch' target 
  * Use debhelper 7 and dh
  * Add lintian overrides for menu-command-not-in-package, menu-icon-missing
    and desktop-command-not-in-package in kanadic package
  * Add desktop file for kdrill
  * Change menu section for kdrill to Applications/Education
  * Add desktop files for kanadic

 -- Євгеній Мещеряков <eugen@debian.org>  Mon, 17 Aug 2009 16:55:04 +0200

kdrill (6.5dbs-3) unstable; urgency=low

  * Fix typo s/--as-neede/--as-needed/ 
  * New patches:
    - 02-implicit-exit-fix - fix incompatible implicit declaration of exit()
    - 03-pointer-fixes - fix warnings about pointer to int conversions
    - 10-search-segfault-fix - fix segfault when using search dialog
  * Add Homepage field

 -- Євгеній Мещеряков <eugen@debian.org>  Mon, 28 Apr 2008 14:15:55 +0200

kdrill (6.5dbs-2) unstable; urgency=low

  * Clean directories before building, fixes some FTBFSes

 -- Євгеній Мещеряков <eugen@debian.org>  Wed, 23 Apr 2008 15:27:15 +0200

kdrill (6.5dbs-1) unstable; urgency=low

  * New upstream release (closes: #438843)
  * New maintainer (closes: #465962)
  * Use dbs
  * Cleanup debian/rules and other files under debian/
  * Debhelper compatibility level 6
  * Standards-Version 3.7.3
  * Fix unquoted strings in menu entries
  * Adjust debian/copyright
  * New patch:
    - 01-manpages-fixes - fix some errors reported by lintian
  * Fix spelling mistake in kanadic package description (closes: #363994) 
  * Acknowledge NMUs (closes: #349174, #370267, #331876)
  * Build-depend on x11proto-core-dev instead of x-dev

 -- Євгеній Мещеряков <eugen@debian.org>  Wed, 23 Apr 2008 15:06:38 +0200

kdrill (6.4-2.3) unstable; urgency=low

  * Non-maintainer upload.
  * cdebconf transition. Removed unnecessary cdebconf depends. Closes: #331876

 -- Victor Seva <linuxmaniac@torreviejawireless.org>  Thu, 16 Nov 2006 10:46:29 +0100

kdrill (6.4-2.2) unstable; urgency=high

  * Non-maintainer upload.
  * High-urgency upload for RC bugfix.
  * Build-depend on xutils-dev for the X11R7 transition, and adjust the
    packaging to use the FHS paths. (Closes: #364247)

 -- Julien Danjou <acid@debian.org>  Fri, 19 May 2006 11:53:03 +0200

kdrill (6.4-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Replace build-dependency on xlibs-dev with an explicit build-dependency
    on each required package. (Closes: #346998)

 -- Steinar H. Gunderson <sesse@debian.org>  Sat, 21 Jan 2006 13:48:00 +0100

kdrill (6.4-2) unstable; urgency=medium

  * This is a non-feature release. This is just to "unstick" the autobuilders

 -- Philip Brown <pbrown@debian.org>  Thu, 17 Mar 2005 15:32:11 -0500

kdrill (6.4-1) unstable; urgency=low

  * New upstream release
  * fixes upstream bug closing sub-windows
  * Updated README file
    Closes: #245553: debconf note related (note no longer needed)
    Closes: #245551: french translation, no longer needed
    Closes: #245060: japanese translation, no longer needed

 -- Philip Brown <pbrown@vore.debian.org>  Sun,  9 Jan 2005 15:32:11 -0500

kdrill (6.3.1-1) unstable; urgency=low

  * New upstream release
  * Config script now *really* works  (closes #167374)
  * Postinst for config script and dpkg
  * Depends on debconf  (closes #167375)
  * Depends on libxaw7-dev  (closes #169979)
  * Added in attempt to use po-debconf

