=== debian/rules ===
#!/usr/bin/make -f

# This does not work
#ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
#	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
#	MAKEFLAGS += -j$(NUMJOBS)
#endif

SPECIALFLAGS=DICTLOCATION=/usr/share/edict/kanjidic EDICTLOCATION=/usr/share/edict/edict RADLOCATION=/var/lib/xjdic/radkfile
PKGDIR=$(CURDIR)/debian/tmp

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

export LOCAL_LDFLAGS=-Wl,--as-needed

override_dh_auto_configure:
	xmkmf -a

override_dh_auto_build:
	$(MAKE) $(SPECIALFLAGS)
	$(MAKE) -C makedic

override_dh_auto_test:
	# nothing

override_dh_auto_clean:
	[ ! -f Makefile ] || make distclean
	rm -f KDrill.ad
	make -C makedic clean

override_dh_auto_install:
	# kdrill
	$(MAKE) install DESTDIR=$(PKGDIR) $(SPECIALFLAGS)
	$(MAKE) install.man DESTDIR=$(PKGDIR)
	mkdir -p $(PKGDIR)/usr/share/pixmaps/
	cp kdrill.xpm $(PKGDIR)/usr/share/pixmaps/
	# makedic
	cp makedic/makeedict makedic/makedic $(PKGDIR)/usr/bin
	mkdir -p $(PKGDIR)/usr/share/man/man1
	cp makedic/*.1 $(PKGDIR)/usr/share/man/man1
	# kanadic
	mkdir -p $(PKGDIR)/usr/share/edict
	cp makedic/*.edic $(PKGDIR)/usr/share/edict
	gzip -9v $(PKGDIR)/usr/share/edict/*.edic

build clean install build-arch build-indep binary-arch binary-indep binary:
	dh $@

.PHONY: build clean install build-arch build-indep binary-arch binary-indep binary
.PHONY: override_dh_auto_configure override_dh_auto_build
.PHONY: override_dh_auto_test override_dh_auto_clean
.PHONY: override_dh_auto_install
